Bug 1432214 - Review Request: reg - Docker registry v2 command line client.
Summary: Review Request: reg - Docker registry v2 command line client.
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Lokesh Mandvekar
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-03-14 19:20 UTC by Adam Miller
Modified: 2017-07-16 20:19 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-07-15 19:52:52 UTC
Type: ---
lsm5: fedora-review+


Attachments (Terms of Use)

Description Adam Miller 2017-03-14 19:20:18 UTC
Spec URL: https://maxamillion.fedorapeople.org/reg.spec
SRPM URL: https://maxamillion.fedorapeople.org/reg-0.2.0-1.git.0.94d0af5.fc25.src.rpm
Description: Docker registry v2 command line client.
Fedora Account System Username: maxamillion

Comment 1 Randy Barlow 2017-03-14 22:49:01 UTC
Some thoughts after a first pass:

* It's pretty weird for an RPM to put static css/html/js into /var, and I
  think it might be a violation of FHS since this is not state data, though I'm
  not sure. These files should go into /usr/share I believe. It sounds like this
  app might also write to this same folder, which makes things a little weird.
  Can the app handle its static files being in /usr/share while it's variable
  data is in /var/lib?
* Also, I think it might be more typical to use /var/lib/ instead of /var.
* Wherever the static content goes, the spec file also needs to own the
  directory. Right now, /var/reg-server is unowned.
* Is it possible to avoid the bundled dependencies? If so, we should "make
  every effort". If not, I think we need to publicly contact upstream
  about a path to supporting system libraries as documented at:

  https://fedoraproject.org/wiki/Packaging:Guidelines#Bundling_and_Duplication_of_system_libraries

  Also, I found the Go packaging draft guidelines to read confusingly
  about this, but it sounds like they prefer packages not to bundle:

  https://fedoraproject.org/wiki/PackagingDrafts/Go#Dependencies
* If we do need to keep the bundled deps, I think we might need the
  license field to list the licenses of them all. Based on fedora-review's
  license check, I suggest:
  License: ASL 2.0 and BSD and MIT


Optional/Suggestions/Questions:

* You can set Source0 to a GitHub URL despite there not being a release.
  For example:
  https://github.com/jessfraz/reg/archive/94d0af58c1d2afaa5541fe48729002888f370456/reg-0.2.0.tar.gz
* Is it a typo in the unit file that there's a =- instead of just = after
  EnvironmentFile?
* The --debug env var is uncommented, but it sounds like it's meant to be
  commented.
* You should use %global instead of %define on the docroot variable.
* You can remove the . from the Summary to get rid of a lint warning.
* Mixed usage of spaces and tabs can kill another lint warning.


<rant>
* Go is a huge mess. You can't see any go code without constant "if error… if error… if error…" everywhere. And the bundling and practice of not making releases and just using git commits of your dependencies creates a huge nope of a language. It's almost as bad as JavaScript!
</rant>

Comment 2 Adam Miller 2017-03-21 15:58:09 UTC
1) The app cannot, it's authored upstream expecting to run in a container and it thinks that it has free reign over / and I actually moved it to /var/ because that seemed like a better idea. I do agree it's kind of weird. It's possible this violates the FHS and if so, then I'll work on patching the upstream code to cater to a better directory layout.

2) Would HTML/CSS content make sense in /var/lib/ ?

3) I don't believe we can get rid of bundled libs, this duplicates golang packages already in Fedora but needs different versions of them.

----

4) Yes, I should do that instead of how I did. Will fix.

5) Not a typo, I followed the RHEL docs -> https://access.redhat.com/documentation/en-US/Red_Hat_Enterprise_Linux/7/html/System_Administrators_Guide/sect-Managing_Services_with_systemd-Unit_Files.html

6) +1 it should be global

7) Will remove the .

8) I didn't get that lint warning, will check again to make sure I'm not using tabs v spaces.


----

9) Yes, it's a mess and it doesn't have a good debugger. I have trouble taking it seriously.

Comment 3 Adam Miller 2017-03-21 21:38:27 UTC
Updated items listed above that I said I would, I'm still not 100% sure what to do about the bundling just yet as well as the license checks.



Spec URL: https://maxamillion.fedorapeople.org/reg.spec
SRPM URL: https://maxamillion.fedorapeople.org/reg-0.2.0-2.git.0.94d0af5.fc25.src.rpm

Comment 4 Lokesh Mandvekar 2017-06-07 22:40:48 UTC
Hi Randy, just checking if you're still reviewing this?

Comment 5 Lokesh Mandvekar 2017-06-08 14:32:48 UTC
After checking with Randy, I'm assigning this to myself as reviewer.

Comment 6 Lokesh Mandvekar 2017-06-08 14:42:21 UTC
review as per fedora-review:

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- Sources used to build the package match the upstream source, as provided
  in the spec URL.
  Note: Upstream MD5sum check error, diff is in
  /home/lsm5/repositories/pkgs/reviews/1432214-reg/diff.txt
  See: http://fedoraproject.org/wiki/Packaging/SourceURL


===== MUST items =====

Generic:
[ ]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[ ]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "MIT/X11 (BSD like)", "BSD (3 clause)", "Apache (v2.0)",
     "Unknown or generated", "*No copyright* Apache (v2.0)". 225 files have
     unknown license. Detailed output of licensecheck in
     /home/lsm5/repositories/pkgs/reviews/1432214-reg/licensecheck.txt
[ ]: License file installed when any subpackage combination is installed.
[ ]: %build honors applicable compiler flags or justifies otherwise.
[ ]: Package contains no bundled libraries without FPC exception.
[ ]: Changelog in prescribed format.
[ ]: Sources contain only permissible code or content.
[ ]: Package contains desktop file if it is a GUI application.
[ ]: Development files must be in a -devel package
[ ]: Package uses nothing in %doc for runtime.
[ ]: Package consistently uses macros (instead of hard-coded directory
     names).
[ ]: Package is named according to the Package Naming Guidelines.
[ ]: Package does not generate any conflict.
[ ]: Package obeys FHS, except libexecdir and /usr/target.
[ ]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[ ]: Requires correct, justified where necessary.
[ ]: Spec file is legible and written in American English.
[ ]: Package contains systemd file(s) if in need.
[ ]: Useful -debuginfo package or justification otherwise.
[ ]: Package is not known to require an ExcludeArch tag.
[ ]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 204800 bytes in 6 files.
[ ]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: %config files are marked noreplace or the reason is justified.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: No %config files under /usr.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[ ]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[ ]: Final provides and requires are sane (see attachments).
[ ]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in reg-
     server
[ ]: Package functions as described.
[ ]: Latest version is packaged.
[ ]: Package does not include license text files separate from upstream.
[ ]: Patches link to upstream bugs/comments/lists or are otherwise
     justified.
[ ]: Scriptlets must be sane, if used.
[ ]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[ ]: Package should compile and build into binary rpms on all supported
     architectures.
[ ]: %check is present and all tests pass.
[ ]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: reg-0.2.0-2.git.0.94d0af5.fc26.x86_64.rpm
          reg-server-0.2.0-2.git.0.94d0af5.fc26.x86_64.rpm
          reg-0.2.0-2.git.0.94d0af5.fc26.src.rpm
reg.x86_64: W: unstripped-binary-or-object /usr/bin/reg
reg.x86_64: W: no-manual-page-for-binary reg
reg-server.x86_64: W: unstripped-binary-or-object /usr/bin/reg-server
reg-server.x86_64: E: non-readable /etc/sysconfig/reg-server 640
reg-server.x86_64: W: no-manual-page-for-binary reg-server
reg-server.x86_64: W: empty-%postun
reg.src:143: W: rpm-buildroot-usage %build export GOPATH="$(pwd)/go:%{buildroot}%{gopath}:%{gopath}"
reg.src: W: file-size-mismatch reg-0.2.0.tar.gz = 405316, https://github.com/jessfraz//reg/archive/94d0af58c1d2afaa5541fe48729002888f370456/reg-0.2.0.tar.gz = 405228
3 packages and 0 specfiles checked; 1 errors, 7 warnings.




Rpmlint (installed packages)
----------------------------
sh: /usr/bin/python: No such file or directory
reg-server.x86_64: W: unstripped-binary-or-object /usr/bin/reg-server
reg-server.x86_64: E: non-readable /etc/sysconfig/reg-server 640
reg-server.x86_64: W: no-manual-page-for-binary reg-server
reg-server.x86_64: W: empty-%postun
reg.x86_64: W: unstripped-binary-or-object /usr/bin/reg
reg.x86_64: W: no-manual-page-for-binary reg
2 packages and 0 specfiles checked; 1 errors, 5 warnings.



Requires
--------
reg-server (rpmlib, GLIBC filtered):
    /bin/sh
    config(reg-server)
    libc.so.6()(64bit)
    libpthread.so.0()(64bit)
    systemd

reg (rpmlib, GLIBC filtered):
    libc.so.6()(64bit)
    libpthread.so.0()(64bit)



Provides
--------
reg-server:
    config(reg-server)
    reg-server
    reg-server(x86-64)

reg:
    bundled(golang(github.com/BurntSushi/toml))
    bundled(golang(github.com/Sirupsen/logrus))
    bundled(golang(github.com/docker/distribution))
    bundled(golang(github.com/docker/docker/api/types))
    bundled(golang(github.com/docker/docker/cli/config))
    bundled(golang(github.com/docker/docker/opts))
    bundled(golang(github.com/docker/docker/pkg/homedir))
    bundled(golang(github.com/docker/docker/pkg/httputils))
    bundled(golang(github.com/docker/docker/pkg/idtools))
    bundled(golang(github.com/docker/docker/pkg/ioutils))
    bundled(golang(github.com/docker/docker/pkg/jsonlog))
    bundled(golang(github.com/docker/docker/pkg/jsonmessage))
    bundled(golang(github.com/docker/docker/pkg/longpath))
    bundled(golang(github.com/docker/docker/pkg/progress))
    bundled(golang(github.com/docker/docker/pkg/random))
    bundled(golang(github.com/docker/docker/pkg/streamformatter))
    bundled(golang(github.com/docker/docker/pkg/stringid))
    bundled(golang(github.com/docker/docker/pkg/system))
    bundled(golang(github.com/docker/docker/pkg/tarsum))
    bundled(golang(github.com/docker/docker/pkg/term))
    bundled(golang(github.com/docker/docker/registry))
    bundled(golang(github.com/docker/docker/vendor/github.com/Azure/go-ansiterm))
    bundled(golang(github.com/docker/docker/vendor/github.com/Microsoft/go-winio))
    bundled(golang(github.com/docker/docker/vendor/github.com/Nvveen/Gotty))
    bundled(golang(github.com/docker/docker/vendor/github.com/Sirupsen/logrus))
    bundled(golang(github.com/docker/docker/vendor/github.com/docker/distribution))
    bundled(golang(github.com/docker/docker/vendor/github.com/docker/docker-credential-helpers/client))
    bundled(golang(github.com/docker/docker/vendor/github.com/docker/docker-credential-helpers/credentials))
    bundled(golang(github.com/docker/docker/vendor/github.com/docker/go-connections/nat))
    bundled(golang(github.com/docker/docker/vendor/github.com/docker/go-connections/sockets))
    bundled(golang(github.com/docker/docker/vendor/github.com/docker/go-connections/tlsconfig))
    bundled(golang(github.com/docker/docker/vendor/github.com/docker/go-units))
    bundled(golang(github.com/docker/docker/vendor/github.com/docker/libtrust))
    bundled(golang(github.com/docker/docker/vendor/github.com/gorilla/context))
    bundled(golang(github.com/docker/docker/vendor/github.com/gorilla/mux))
    bundled(golang(github.com/docker/docker/vendor/github.com/opencontainers/go-digest))
    bundled(golang(github.com/docker/docker/vendor/github.com/opencontainers/runc/libcontainer/user))
    bundled(golang(github.com/docker/docker/vendor/github.com/pkg/errors))
    bundled(golang(github.com/docker/docker/vendor/github.com/spf13/pflag))
    bundled(golang(github.com/docker/docker/vendor/golang.org/x/net/context))
    bundled(golang(github.com/docker/docker/vendor/golang.org/x/net/proxy))
    bundled(golang(github.com/docker/docker/vendor/golang.org/x/sys/unix))
    bundled(golang(github.com/docker/docker/vendor/golang.org/x/sys/windows))
    bundled(golang(github.com/docker/docker/vendor/golang.org/x/time/rate))
    bundled(golang(github.com/docker/go-connections/nat))
    bundled(golang(github.com/docker/go-units))
    bundled(golang(github.com/docker/libtrust))
    bundled(golang(github.com/dustin/go-humanize))
    bundled(golang(github.com/gorilla/context))
    bundled(golang(github.com/gorilla/mux))
    bundled(golang(github.com/opencontainers/go-digest))
    bundled(golang(github.com/opencontainers/runc/libcontainer/user))
    bundled(golang(github.com/peterhellberg/link))
    bundled(golang(github.com/urfave/cli))
    bundled(golang(golang.org/x/net/context))
    bundled(golang(golang.org/x/sys/unix))
    bundled(golang(gopkg.in/airbrake/gobrake.v2))
    bundled(golang(gopkg.in/gemnasium/logrus-airbrake-hook.v2))
    bundled(golang(gopkg.in/urfave/cli.v1))
    bundled(golang(gopkg.in/yaml.v2))
    reg
    reg(x86-64)



Source checksums
----------------
https://github.com/jessfraz//reg/archive/94d0af58c1d2afaa5541fe48729002888f370456/reg-0.2.0.tar.gz :
  CHECKSUM(SHA256) this package     : 742a270d46c01768f8641bf1e4fae60c611ed570c47e0235523de9725b0aa457
  CHECKSUM(SHA256) upstream package : f30773eb5efe9ee32335653df6d069058724d63e0a116b2052f598a266b49759
diff -r also reports differences


Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/usr/bin/fedora-review -m fedora-rawhide-x86_64 -b 1432214
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api
Disabled plugins: Java, C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

Comment 7 Randy Barlow 2017-06-08 15:44:42 UTC
For the record, I am +1 to handing over the review ☺

Comment 8 Jan Chaloupka 2017-06-12 11:12:04 UTC
Could you provide the following header in the spec (some of it is already there)?

%global provider_prefix github.com/jessfraz/reg
%global import_path     %{provider_prefix}
%global commit          94d0af58c1d2afaa5541fe48729002888f370456
%global shortcommit     %(c=%{commit}; echo ${c:0:7})

I have a tooling the parses spec and extracts the macros from go packages. It helps to check which go projects are packaged in Fedora.

The import path needs to be in the full form, including the 'req'.

Why do you think the debuginfo is not supported? You can use:
go build -ldflags "-B 0x$(head -c20 /dev/urandom|od -An -tx1|tr -d ' \\n')".

Any plans to build it on epel6/7?

Both devel and unit-test-devel subpackages are optional. However, if the devel package is present, it can be scanned and analysed.

Comment 9 Lokesh Mandvekar 2017-06-12 14:32:07 UTC
Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "MIT/X11 (BSD like)", "BSD (3 clause)", "Apache (v2.0)",
     "Unknown or generated", "*No copyright* Apache (v2.0)". 225 files have
     unknown license. Detailed output of licensecheck in
     /home/lsm5/repositories/pkgs/reviews/1432214-reg/licensecheck.txt

--- Main source uses the MIT license.

[x]: License file installed when any subpackage combination is installed.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.

--- I'll okay this given that golang tools are too painful to be built with unbundled libraries and unbundling produces no apparent benefit (IMHO). If anybody disapproves, I welcome them to unbundle deps themselves.

[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[!]: Package obeys FHS, except libexecdir and /usr/target.

--- I see config(noreplace) in /etc/sysconfig/reg-server and /var/lib/reg-server . Is it possible they could be placed in /etc/reg-server instead. Just that I do remember people discouraging the use of /etc/sysconfig/blah in favor of /etc/blah. (I'll post the link to packaging guidelines for this if any exists)


[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[x]: Package contains systemd file(s) if in need.
[!]: Useful -debuginfo package or justification otherwise.

--- please generate this as per jchaloup's comment above.

[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 204800 bytes in 6 files.
[x]: Package complies to the Packaging Guidelines


Additionally, could you also please post a successful scratch build URL?

Comment 10 Adam Miller 2017-06-12 19:12:56 UTC
(In reply to Jan Chaloupka from comment #8)
> Could you provide the following header in the spec (some of it is already
> there)?
> 
> %global provider_prefix github.com/jessfraz/reg
> %global import_path     %{provider_prefix}
> %global commit          94d0af58c1d2afaa5541fe48729002888f370456
> %global shortcommit     %(c=%{commit}; echo ${c:0:7})
> 
> I have a tooling the parses spec and extracts the macros from go packages.
> It helps to check which go projects are packaged in Fedora.
> 
> The import path needs to be in the full form, including the 'req'.
> 
> Why do you think the debuginfo is not supported? You can use:
> go build -ldflags "-B 0x$(head -c20 /dev/urandom|od -An -tx1|tr -d ' \\n')".
> 

Fixed.

> Any plans to build it on epel6/7?

Yes.

> 
> Both devel and unit-test-devel subpackages are optional. However, if the
> devel package is present, it can be scanned and analysed.

devel and unit-test-devel subpackages of what?

Comment 11 Adam Miller 2017-06-12 19:20:02 UTC
(In reply to Lokesh Mandvekar from comment #9)
> Generic:
> [x]: Package is licensed with an open-source compatible license and meets
>      other legal requirements as defined in the legal section of Packaging
>      Guidelines.
> [x]: License field in the package spec file matches the actual license.
>      Note: Checking patched sources after %prep for licenses. Licenses
>      found: "MIT/X11 (BSD like)", "BSD (3 clause)", "Apache (v2.0)",
>      "Unknown or generated", "*No copyright* Apache (v2.0)". 225 files have
>      unknown license. Detailed output of licensecheck in
>      /home/lsm5/repositories/pkgs/reviews/1432214-reg/licensecheck.txt
> 
> --- Main source uses the MIT license.
> 
> [x]: License file installed when any subpackage combination is installed.
> [x]: %build honors applicable compiler flags or justifies otherwise.
> [x]: Package contains no bundled libraries without FPC exception.
> 
> --- I'll okay this given that golang tools are too painful to be built with
> unbundled libraries and unbundling produces no apparent benefit (IMHO). If
> anybody disapproves, I welcome them to unbundle deps themselves.
> 
> [x]: Changelog in prescribed format.
> [x]: Sources contain only permissible code or content.
> [-]: Package contains desktop file if it is a GUI application.
> [x]: Development files must be in a -devel package
> [x]: Package uses nothing in %doc for runtime.
> [x]: Package consistently uses macros (instead of hard-coded directory
>      names).
> [x]: Package is named according to the Package Naming Guidelines.
> [x]: Package does not generate any conflict.
> [!]: Package obeys FHS, except libexecdir and /usr/target.
> 
> --- I see config(noreplace) in /etc/sysconfig/reg-server and
> /var/lib/reg-server . Is it possible they could be placed in /etc/reg-server
> instead. Just that I do remember people discouraging the use of
> /etc/sysconfig/blah in favor of /etc/blah. (I'll post the link to packaging
> guidelines for this if any exists)
> 

That is true if the configuration file is for the actual service. The configuration values here are fed into the systemd unit. However if this has changed and /etc/sysconfig/ has fallen out of favor for this scenario as well I'll gladly switch it. I was mostly following along with what other prominent software written in golang are doing such as docker and kubernetes. 

> 
> [-]: If the package is a rename of another package, proper Obsoletes and
>      Provides are present.
> [x]: Requires correct, justified where necessary.
> [x]: Spec file is legible and written in American English.
> [x]: Package contains systemd file(s) if in need.
> [!]: Useful -debuginfo package or justification otherwise.
> 
> --- please generate this as per jchaloup's comment above.
> 
> [x]: Package is not known to require an ExcludeArch tag.
> [-]: Large documentation must go in a -doc subpackage. Large could be size
>      (~1MB) or number of files.
>      Note: Documentation size is 204800 bytes in 6 files.
> [x]: Package complies to the Packaging Guidelines
> 
> 
> Additionally, could you also please post a successful scratch build URL?

Will do.

Comment 12 Lokesh Mandvekar 2017-06-12 19:41:36 UTC
(In reply to Adam Miller from comment #11)
> (In reply to Lokesh Mandvekar from comment #9)
> > Generic:
> > [x]: Package is licensed with an open-source compatible license and meets
> >      other legal requirements as defined in the legal section of Packaging
> >      Guidelines.
> > [x]: License field in the package spec file matches the actual license.
> >      Note: Checking patched sources after %prep for licenses. Licenses
> >      found: "MIT/X11 (BSD like)", "BSD (3 clause)", "Apache (v2.0)",
> >      "Unknown or generated", "*No copyright* Apache (v2.0)". 225 files have
> >      unknown license. Detailed output of licensecheck in
> >      /home/lsm5/repositories/pkgs/reviews/1432214-reg/licensecheck.txt
> > 
> > --- Main source uses the MIT license.
> > 
> > [x]: License file installed when any subpackage combination is installed.
> > [x]: %build honors applicable compiler flags or justifies otherwise.
> > [x]: Package contains no bundled libraries without FPC exception.
> > 
> > --- I'll okay this given that golang tools are too painful to be built with
> > unbundled libraries and unbundling produces no apparent benefit (IMHO). If
> > anybody disapproves, I welcome them to unbundle deps themselves.
> > 
> > [x]: Changelog in prescribed format.
> > [x]: Sources contain only permissible code or content.
> > [-]: Package contains desktop file if it is a GUI application.
> > [x]: Development files must be in a -devel package
> > [x]: Package uses nothing in %doc for runtime.
> > [x]: Package consistently uses macros (instead of hard-coded directory
> >      names).
> > [x]: Package is named according to the Package Naming Guidelines.
> > [x]: Package does not generate any conflict.
> > [!]: Package obeys FHS, except libexecdir and /usr/target.
> > 
> > --- I see config(noreplace) in /etc/sysconfig/reg-server and
> > /var/lib/reg-server . Is it possible they could be placed in /etc/reg-server
> > instead. Just that I do remember people discouraging the use of
> > /etc/sysconfig/blah in favor of /etc/blah. (I'll post the link to packaging
> > guidelines for this if any exists)
> > 
> 
> That is true if the configuration file is for the actual service. The
> configuration values here are fed into the systemd unit. However if this has
> changed and /etc/sysconfig/ has fallen out of favor for this scenario as
> well I'll gladly switch it. I was mostly following along with what other
> prominent software written in golang are doing such as docker and
> kubernetes.

You're right as per https://fedoraproject.org/wiki/Packaging:Systemd#.5BInstall.5D
and lol at myself for having gotten that mixed up.

So, [x]: Package obeys FHS, except libexecdir and /usr/target <- that LGTM


> > 
> > [-]: If the package is a rename of another package, proper Obsoletes and
> >      Provides are present.
> > [x]: Requires correct, justified where necessary.
> > [x]: Spec file is legible and written in American English.
> > [x]: Package contains systemd file(s) if in need.
> > [!]: Useful -debuginfo package or justification otherwise.
> > 
> > --- please generate this as per jchaloup's comment above.
> > 
> > [x]: Package is not known to require an ExcludeArch tag.
> > [-]: Large documentation must go in a -doc subpackage. Large could be size
> >      (~1MB) or number of files.
> >      Note: Documentation size is 204800 bytes in 6 files.
> > [x]: Package complies to the Packaging Guidelines
> > 
> > 
> > Additionally, could you also please post a successful scratch build URL?
> 
> Will do.



Also, jchaloup mentioned devel and unit-test-devel, that's if you include the original source code of the reg package in the -devel package. Take a look at the 'docker-devel' and 'docker-unit-test-devel' package for example.

(I'm personally not a fan of golang -devel packages, and I think we're now left with 150+ of those packages which will sadly be left unmaintained).

So, feel free to not create those since those are optional anyway.

Comment 14 Lokesh Mandvekar 2017-06-12 22:30:54 UTC
rpmbuild fails with debuginfo enabled, so debuginfo has been disabled for now. See: https://paste.fedoraproject.org/paste/jLBnKTZ5Z4s9zFujCHtu5g/ 

Waiving the debuginfo requirement, which can be fixed at a later date.

Specfile conforms to current golang packaging draft and the MUST items have been accounted for.

Approved.

Comment 15 Gwyn Ciesla 2017-06-13 15:33:10 UTC
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/reg

Comment 16 Fedora Update System 2017-06-14 16:46:48 UTC
reg-0.4.1-1.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-ebf1727379

Comment 17 Fedora Update System 2017-06-14 16:46:59 UTC
reg-0.4.1-1.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-f1099cbe6a

Comment 18 Fedora Update System 2017-06-15 10:58:34 UTC
reg-0.4.1-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-f1099cbe6a

Comment 19 Fedora Update System 2017-06-15 14:00:29 UTC
reg-0.4.1-1.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-ebf1727379

Comment 20 Fedora Update System 2017-06-27 22:31:41 UTC
reg-0.4.1-3.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-cf91759923

Comment 21 Fedora Update System 2017-06-28 19:20:28 UTC
reg-0.4.1-3.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-cf91759923

Comment 22 Fedora Update System 2017-06-28 21:53:11 UTC
reg-0.4.1-3.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-5784d9e356

Comment 23 Fedora Update System 2017-06-29 22:44:28 UTC
reg-0.4.1-5.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-3d65fc4670

Comment 24 Fedora Update System 2017-06-30 20:25:57 UTC
reg-0.4.1-5.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-3d65fc4670

Comment 25 Fedora Update System 2017-06-30 23:22:33 UTC
reg-0.4.1-5.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-263decc3c1

Comment 26 Fedora Update System 2017-07-15 19:52:52 UTC
reg-0.4.1-5.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 27 Fedora Update System 2017-07-16 20:19:38 UTC
reg-0.4.1-5.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.